complexType "GasPhysicalLeg"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | deliveryPeriods, gas, deliveryQuantity
</...>

Content Model Elements (3):

  deliveryPeriods, deliveryQuantity (in gasPhysicalLeg), | gas

All Direct / Indirect Based Elements (1):

  gasPhysicalLeg

Known Usage Locations

- As direct type of elements (1):
  gasPhysicalLeg

Annotation
Physically settled leg of a physically settled gas transaction.
Type Definition Detail

Type Derivation Tree Leg (extension) CommoditySwapLeg (extension) PhysicalSwapLeg (extension) GasPhysicalLeg

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="GasPhysicalLeg"> <xsd:complexContent> <xsd:extension base="PhysicalSwapLeg"> <xsd:sequence> <xsd:element name="deliveryPeriods" type="GasDeliveryPeriods"/> <xsd:element name="gas" type="GasProduct"/> <!--View Generation: SKIPPED deliveryConditions - Documentation--> <xsd:element name="deliveryQuantity" type="GasPhysicalQuantity"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
deliveryPeriods

  Type: | GasDeliveryPeriods, complex content

  The different options for specifying the Delivery or Supply Periods. Unless the quantity or price is to vary periodically during the trade or physical delivery occurs on a periodic basis, periodsSchedule should be used and set to 1T.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliveryPeriods" type="GasDeliveryPeriods"/>

deliveryQuantity

  Type: | GasPhysicalQuantity, complex content

  The different options for specifying the quantity. For Fixed trades where the quantity is known at the time of confirmation, a single quantity or a quantity per Delivery Period may be specified. For Variable trades minimum and maximum trades may be specified.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliveryQuantity" type="GasPhysicalQuantity"/>

gas

  Type: | GasProduct, complex content

  The specification of the gas to be delivered.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="gas" type="GasProduct"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.